﻿/*
 * Author: .net follower (http://dotnetfollower.com) 
 * Title: HiddenCbTreeViewApp
 * Copyright: � 2012 .net follower 
 * Usage: software is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 */

using System;
using System.Windows.Forms;
using HiddenCbTreeView;

namespace HiddenCbTreeViewApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            mixedCheckBoxesTreeView1.CheckBoxes = true;
            mixedCheckBoxesTreeView1.Nodes.Clear();

            HiddenCheckBoxTreeNode tn = new HiddenCheckBoxTreeNode("Root Node 1");
            mixedCheckBoxesTreeView1.Nodes.Add(tn);

            TreeNode tn2 = new TreeNode("Child Node Z");
            tn.Nodes.Add(tn2);

            HiddenCheckBoxTreeNode tn3 = new HiddenCheckBoxTreeNode("Child Node A");
            tn3.Checked = true; // just to test that nothing happens here
            tn.Nodes.Add(tn3);

            HiddenCheckBoxTreeNode tn4 = new HiddenCheckBoxTreeNode("Child Node X");
            tn.Nodes.Add(tn4);

            TreeNode tn5 = new TreeNode("Child Node D");
            tn.Nodes.Add(tn5);

            TreeNode tn6 = new TreeNode("Root Node 2");
            mixedCheckBoxesTreeView1.Nodes.Add(tn6);

            TreeNode tn7 = new TreeNode("Root Node 3");
            mixedCheckBoxesTreeView1.Nodes.Add(tn7);

            HiddenCheckBoxTreeNode tn8 = new HiddenCheckBoxTreeNode("Child Node A");
            tn7.Nodes.Add(tn8);

            mixedCheckBoxesTreeView1.ExpandAll();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            mixedCheckBoxesTreeView1.Sort();
        }
    }
}
